--[[ Manual Cutting for Wood Harvester
Author: Ifko[nator], edited by t0xic0m, multiplayer fixed by MyrithisCatalyst
Date: 30.03.2017
Version: v1.1
]]

Harvester = {};

function Harvester.prerequisitesPresent(specializations) 
	return SpecializationUtil.hasSpecialization(WoodHarvester, specializations);
end; 


function Harvester:load(xmlFile)
	WoodHarvester.onDelimbTree = Utils.overwrittenFunction(WoodHarvester.onDelimbTree, Harvester.NEWonDelimbTree);
	self.readyCut = 0;
	--self.cutMaxRadius = 0.68;
	--self.cutLengthMin = 1.20;
	--self.cutLengthMax = 18.20;
	--self.cutLengthStep = 1;
end;

function Harvester:delete()
end;

function Harvester:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Harvester:keyEvent(unicode, sym, modifier, isDown)
end;

function Harvester:NEWonDelimbTree(onDelimbTree, state)
	self.isAttachedSplitShapeMoving = state;
	if not state then
		if self.readyCut == 1 then
			self:cutTree(0);
			self.readyCut = 0;
		else
			self.readyCut = 1;
		end;
	end;
end;


function Harvester:update(dt)
end;

function Harvester:draw()
end;
